Bug 124050 - xorg-x11 segfaults when switching to a text console (Savage)
xorg-x11 segfaults when switching to a text console (Savage)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 06:55 EDT by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 08:21:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log of the crash (35.56 KB, text/plain)
2004-05-23 06:56 EDT, Alan Cox
no flags Details

  None (edit)
Description Alan Cox 2004-05-23 06:55:21 EDT
Description of problem:

xorg-X11 on an S3 Savage 4 card. Overall it seems to work (XFree 4.3
had real problems). However switching to a text console causes this

X[2402]: segfault at 00000000000a0000 rip 0000000000bdd213 rsp
0000007fbfffef88 error 6

(which looks like its trying to access the *bus* address of ISA spaces)


Log attached (shortly)
Comment 1 Alan Cox 2004-05-23 06:56:31 EDT
Created attachment 100474 [details]
Xorg.log of the crash
Comment 2 Mike A. Harris 2005-03-06 16:17:34 EST
Alan, does this problem still occur in FC3 or later?  If you could
test with 6.8.2, that would be useful info.  If the problem does
still exist, it should be filed in X.Org bugzilla though, as I
don't think we have Savage 4 hardware available for the X
Devel team.

Setting status to NEEDINFO
Comment 3 Mike A. Harris 2005-04-11 08:21:09 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.